// =====================================================================
//  $Id: TShowRunInformationModuleCommand.cc,v 1.4 2004/03/07 10:30:28 goiwai Exp $
//  $Name: CLDAQ-1-14-03 $
//  $Log: TShowRunInformationModuleCommand.cc,v $
//  Revision 1.4  2004/03/07 10:30:28  goiwai
//  ROOTに組みこむためのおまじないマクロを埋めこみました。
//  全てにおいて完全に動作するわけではありません。
//
//  Revision 1.3  2003/10/06 17:02:37  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:17:33  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TShowRunInformationModuleCommand.hh"
#include "TRunManager.hh"
#include "TSoftwareRunInformationModule.hh"
#include "TRunInformationTable.hh"

static const Tstring _name = "/run/showinfo";
static const Tstring _desc = "show run information in the table.";

TShowRunInformationModuleCommand::TShowRunInformationModuleCommand( TRunManager* manager, TSoftwareRunInformationModule* module )
  : TCommand( manager, _name, _desc ), TRunInformationModuleCommand( module )
{;}

TShowRunInformationModuleCommand::~TShowRunInformationModuleCommand()
{;}

Tvoid TShowRunInformationModuleCommand::Execute( const TstringList& arguments )
{
  Tstring head = "TShowRunInformationModuleCommand::Execute: ";
  if ( theRunInformationModule == 0 ) {
    return;
  }
  Tcout << theRunInformationModule -> GetRunInformationTable() << Tendl;
  return;
}

#ifdef __CLDAQ_ROOT_DLL
    ClassImp(TShowRunInformationModuleCommand)
#endif
